Loading...
Searching...
No Matches
gx_plugin.h File Reference
`#include "gx_compiler.h"`

Go to the source code of this file.

## Classes

struct | UiBuilder
struct | value_pair
struct | ParamReg
| Parameter registration function pointers. More...
struct | PluginDef

## Macros

#define | _GX_PLUGIN_H
#define | UI_NUM_TOP 0x01
#define | UI_NUM_BOTTOM 0x03
#define | UI_NUM_LEFT 0x05
#define | UI_NUM_RIGHT 0x07
#define | UI_NUM_POSITION_MASK 0x07
#define | UI_NUM_SHOW_ALWAYS 0x08
#define | UI_LABEL_INVERSE 0x02
#define | sw_led "led"
#define | sw_switch "switch"
#define | sw_switchit "switchit"
#define | sw_minitoggle "minitoggle"
#define | sw_button "button"
#define | sw_pbutton "pbutton"
#define | sw_rbutton "rbutton"
#define | sw_prbutton "prbutton"
#define | sw_fbutton "fbutton"
#define | sw_frbutton "frbutton"
#define | UI_FORM_STACK 0x01
#define | UI_FORM_GLADE 0x02
#define | PLUGINDEF_VERMAJOR_MASK 0xff00
#define | PLUGINDEF_VERMINOR_MASK 0x00ff
#define | PLUGINDEF_VERSION 0x0700

## Typedefs

typedef void(* | inifunc) (unsigned int samplingFreq, PluginDef *plugin)
typedef int(* | activatefunc) (bool start, PluginDef *plugin)
typedef void(* | clearstatefunc) (PluginDef *plugin)
typedef void(* | process_mono_audio) (int count, float *input, float *output, PluginDef *plugin)
typedef void(* | process_stereo_audio) (int count, float *input1, float *input2, float *output1, float *output2, PluginDef *plugin)
typedef int(* | registerfunc) (const ParamReg &reg)
typedef int(* | uiloader) (const UiBuilder &builder, int format)
typedef void(* | deletefunc) (PluginDef *plugin)
typedef int(* | plugin_inifunc) (unsigned int idx, PluginDef **p)

## Enumerations

enum | { PGN_STEREO = 0x0001 , PGN_PRE = 0x0002 , PGN_POST = 0x0004 , PGN_GUI = 0x0008 , PGN_POST_PRE = 0x0010 , PGN_ALTERNATIVE = 0x0020 , PGN_SNOOP = 0x0040 , PGN_MODE_NORMAL = 0x0100 , PGN_MODE_BYPASS = 0x0200 , PGN_MODE_MUTE = 0x0400 , PGN_FIXED_GUI = 0x0800 , PGN_NO_PRESETS = 0x1000 }

## Macro Definition Documentation

## _GX_PLUGIN_H

#define _GX_PLUGIN_H

Definition at line 28 of file gx_plugin.h.

## PLUGINDEF_VERMAJOR_MASK

#define PLUGINDEF_VERMAJOR_MASK 0xff00

Definition at line 191 of file gx_plugin.h.

## PLUGINDEF_VERMINOR_MASK

#define PLUGINDEF_VERMINOR_MASK 0x00ff

Definition at line 192 of file gx_plugin.h.

## PLUGINDEF_VERSION

#define PLUGINDEF_VERSION 0x0700

Definition at line 193 of file gx_plugin.h.

## sw_button

#define sw_button "button"

Definition at line 53 of file gx_plugin.h.

## sw_fbutton

#define sw_fbutton "fbutton"

Definition at line 57 of file gx_plugin.h.

## sw_frbutton

#define sw_frbutton "frbutton"

Definition at line 58 of file gx_plugin.h.

## sw_led

#define sw_led "led"

Definition at line 49 of file gx_plugin.h.

## sw_minitoggle

#define sw_minitoggle "minitoggle"

Definition at line 52 of file gx_plugin.h.

## sw_pbutton

#define sw_pbutton "pbutton"

Definition at line 54 of file gx_plugin.h.

## sw_prbutton

#define sw_prbutton "prbutton"

Definition at line 56 of file gx_plugin.h.

## sw_rbutton

#define sw_rbutton "rbutton"

Definition at line 55 of file gx_plugin.h.

## sw_switch

#define sw_switch "switch"

Definition at line 50 of file gx_plugin.h.

## sw_switchit

#define sw_switchit "switchit"

Definition at line 51 of file gx_plugin.h.

## UI_FORM_GLADE

#define UI_FORM_GLADE 0x02

Definition at line 61 of file gx_plugin.h.

## UI_FORM_STACK

#define UI_FORM_STACK 0x01

Definition at line 60 of file gx_plugin.h.

## UI_LABEL_INVERSE

#define UI_LABEL_INVERSE 0x02

Definition at line 45 of file gx_plugin.h.

## UI_NUM_BOTTOM

#define UI_NUM_BOTTOM 0x03

Definition at line 40 of file gx_plugin.h.

## UI_NUM_LEFT

#define UI_NUM_LEFT 0x05

Definition at line 41 of file gx_plugin.h.

## UI_NUM_POSITION_MASK

#define UI_NUM_POSITION_MASK 0x07

Definition at line 43 of file gx_plugin.h.

## UI_NUM_RIGHT

#define UI_NUM_RIGHT 0x07

Definition at line 42 of file gx_plugin.h.

## UI_NUM_SHOW_ALWAYS

#define UI_NUM_SHOW_ALWAYS 0x08

Definition at line 44 of file gx_plugin.h.

## UI_NUM_TOP

#define UI_NUM_TOP 0x01

Definition at line 39 of file gx_plugin.h.

## Typedef Documentation

## activatefunc

typedef int(* activatefunc) (bool start, PluginDef *plugin)

Definition at line 161 of file gx_plugin.h.

## clearstatefunc

typedef void(* clearstatefunc) (PluginDef *plugin)

Definition at line 162 of file gx_plugin.h.

## deletefunc

typedef void(* deletefunc) (PluginDef *plugin)

Definition at line 171 of file gx_plugin.h.

## inifunc

typedef void(* inifunc) (unsigned int samplingFreq, PluginDef *plugin)

Definition at line 160 of file gx_plugin.h.

## plugin_inifunc

typedef int(* plugin_inifunc) (unsigned int idx, PluginDef **p)

Definition at line 224 of file gx_plugin.h.

## process_mono_audio

typedef void(* process_mono_audio) (int count, float *input, float *output, PluginDef *plugin)

Definition at line 166 of file gx_plugin.h.

## process_stereo_audio

typedef void(* process_stereo_audio) (int count, float *input1, float *input2, float *output1, float *output2, PluginDef *plugin)

Definition at line 167 of file gx_plugin.h.

## registerfunc

typedef int(* registerfunc) (const ParamReg &reg)

Definition at line 169 of file gx_plugin.h.

## uiloader

typedef int(* uiloader) (const UiBuilder &builder, int format)

Definition at line 170 of file gx_plugin.h.

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
PGN_STEREO |
PGN_PRE |
PGN_POST |
PGN_GUI |
PGN_POST_PRE |
PGN_ALTERNATIVE |
PGN_SNOOP |
PGN_MODE_NORMAL |
PGN_MODE_BYPASS |
PGN_MODE_MUTE |
PGN_FIXED_GUI |
PGN_NO_PRESETS |

Definition at line 173 of file gx_plugin.h.